Package com.xebialabs.xlrelease.risk.domain

## Class RiskAssessment

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.ReleaseExtension
    - - com.xebialabs.xlrelease.risk.domain.RiskAssessment

- All Implemented Interfaces:
    `ConfigurationItem`, `VisitableItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(versioned=false,
                description="Assessment generated by risk assessor")
      public class RiskAssessment
      extends ReleaseExtension

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `RISK_ASSESSMENT_PREFIX` |

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RiskAssessment()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getHeadline()` |
    `java.lang.String` | `getIcon()` |
    `java.util.List<java.lang.String>` | `getMessages()` |
    `Risk` | `getRisk()` |
    `java.lang.String` | `getRiskAssessorId()` |
    `java.lang.Integer` | `getScore()` |
    `void` | `setHeadline​(java.lang.String headline)` |
    `void` | `setIcon​(java.lang.String icon)` |
    `void` | `setMessages​(java.util.List<java.lang.String> messages)` |
    `void` | `setRisk​(Risk risk)` |
    `void` | `setRiskAssessorId​(java.lang.String riskAssessorId)` |
    `void` | `setScore​(java.lang.Integer score)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.ReleaseExtension

      `accept, getVariableUsages`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### RISK_ASSESSMENT_PREFIX

          public static final java.lang.String RISK_ASSESSMENT_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RiskAssessment

          public RiskAssessment()

  - ### Method Detail

    - #### getRiskAssessorId

          public java.lang.String getRiskAssessorId()

    - #### setRiskAssessorId

          public void setRiskAssessorId​(java.lang.String riskAssessorId)

    - #### getRisk

          public Risk getRisk()

    - #### setRisk

          public void setRisk​(Risk risk)

    - #### getScore

          public java.lang.Integer getScore()

    - #### setScore

          public void setScore​(java.lang.Integer score)

    - #### getHeadline

          public java.lang.String getHeadline()

    - #### setHeadline

          public void setHeadline​(java.lang.String headline)

    - #### getMessages

          public java.util.List<java.lang.String> getMessages()

    - #### setMessages

          public void setMessages​(java.util.List<java.lang.String> messages)

    - #### getIcon

          public java.lang.String getIcon()

    - #### setIcon

          public void setIcon​(java.lang.String icon)